## r-cran-bindr 0.1

=== DESCRIPTION ===
Package: bindr
Title: Parametrized Active Bindings
Version: 0.1
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("RStudio", role = "cph")
    )
Description: Provides a simple interface for creating active bindings where the
    bound function accepts additional arguments.
Suggests: testthat
LazyData: true
Date: 2016-11-12
BugReports: https://github.com/krlmlr/bindr/issues
URL: https://github.com/krlmlr/bindr, https://krlmlr.github.io/bindr
RoxygenNote: 5.0.1.9000
License: MIT + file LICENSE
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-11-12 22:17:21 UTC; muelleki
Author: Kirill Müller [aut, cre],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2016-11-13 01:48:48

=== debian/changelog ===
r-cran-bindr (0.1-1) unstable; urgency=medium

  * Initial release (closes: #877302)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 15:06:07 +0200

=== debian/control ===
Source: r-cran-bindr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-bindr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bindr.git
Homepage: https://cran.r-project.org/package=bindr

Package: r-cran-bindr
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Parametrized Active Bindings for GNU R
 This package provides a simple interface for creating active bindings where
 the bound function accepts additional arguments for GNU R.

## r-cran-bindr 0.1.1

=== DESCRIPTION ===
Package: bindr
Title: Parametrized Active Bindings
Version: 0.1.1
Authors@R: c(
    person("Kirill", "M\u00fcller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org", comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: Provides a simple interface for creating active bindings where the
    bound function accepts additional arguments.
Suggests: testthat
LazyData: true
Date: 2018-03-13
BugReports: https://github.com/krlmlr/bindr/issues
URL: https://github.com/krlmlr/bindr, https://krlmlr.github.io/bindr
RoxygenNote: 6.0.1.9000
License: MIT + file LICENSE
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-03-13 00:31:30 UTC; muelleki
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph, fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-03-13 08:21:23 UTC

=== debian/changelog ===
r-cran-bindr (0.1.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 15:53:39 +0200

r-cran-bindr (0.1.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 09:52:19 +0200

r-cran-bindr (0.1.1-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: Add missing copyright year
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 09:32:56 +0100

=== debian/control ===
Source: r-cran-bindr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindr.git
Homepage: https://cran.r-project.org/package=bindr
Rules-Requires-Root: no

Package: r-cran-bindr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Parametrized Active Bindings for GNU R
 This package provides a simple interface for creating active bindings where
 the bound function accepts additional arguments for GNU R.

## r-cran-bindr 0.1.2

=== DESCRIPTION ===
Package: bindr
Title: Parametrized Active Bindings
Version: 0.1.2
Authors@R: c(
    person("Kirill", "M\u00fcller", role = c("aut", "cre"), email = "kirill@cynkra.com", comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: Provides a simple interface for creating active bindings where the
    bound function accepts additional arguments.
Suggests: testthat
Date: 2024-11-21
BugReports: https://github.com/krlmlr/bindr/issues
URL: https://github.com/krlmlr/bindr, https://krlmlr.github.io/bindr/
RoxygenNote: 7.3.2.9000
License: MIT + file LICENSE
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-11-21 20:34:52 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph, fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2024-11-21 21:30:14 UTC

=== debian/changelog ===
r-cran-bindr (0.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 11:33:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-bindr
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindr.git
 Homepage: https://cran.r-project.org/package=bindr
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
 
 Package: r-cran-bindr
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bindr_([-\d.]*)\.tar\.gz

## r-cran-bindr 0.1.3

=== debian/changelog ===
r-cran-bindr (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 10:25:03 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-bindr
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bindr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bindr.git
 Homepage: https://cran.r-project.org/package=bindr
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
 
 Package: r-cran-bindr
 Architecture: all
